%global uuid dash-to-dock@micxgx.gmail.com

Name:           gnome-shell-extension-dash-to-dock
Version:        65
Release:        1%{?dist}
Summary:        A dock for the GNOME Shell

License:        GPLv2+
URL:            https://github.com/micheleg/dash-to-dock
Source0:        https://github.com/micheleg/dash-to-dock/archive/extensions.gnome.org-v%{version}.tar.gz

BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  vala-tools
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gom-1.0)
BuildRequires:  pkgconfig(gnome-desktop-3.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(upower-glib)

Requires:       gnome-shell >= 3.18.0
Requires(post): glib2


%description
A dock for the Gnome Shell. This extension moves the dash out of the overview
transforming it in a dock for an easier launching of applications and a faster
switching between windows and desktops.

%prep
%setup -q -n dash-to-dock-extensions.gnome.org-v%{version}

%install
make install INSTALLBASE=%{buildroot}%{_datadir}/gnome-shell/extensions/ VERSION=%{version}

mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -m 0644 %{_builddir}/dash-to-dock-extensions.gnome.org-v%{version}/schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas/ 2>/dev/null

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas/ 2>/dev/null

%files
%doc README.md COPYING
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml
%{_datadir}/gnome-shell/extensions/%{uuid}/

%changelog
* Tue May 21 2019 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 65-1
- Update to version 65 for EL7.5, FC28 and above

* Wed Oct 31 2018 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 64-1
- Update to version 64 for EL7.5, FC27 and above

* Mon Apr 30 2018 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 63-1
- Update to version 63 for EL7.4, FC26 and above

* Tue Dec 26 2017 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 62-1
- Update to version 62 for EL7.4, FC25 and above

* Fri Aug 25 2017 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 60-1
- Update to version 60 for EL7.4, FC25 and above

* Wed May 03 2017 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 57-1
- Update to version 57 for FC24 and above

* Tue Feb 21 2017 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 56-1
- Update to version 56 for FC23 and above

* Tue Oct 04 2016 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 55-1
- Update to version 55 for FC23 and above

* Wed Sep 21 2016 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 54-1
- Update to version 54 for FC23 and above

* Tue Jun 21 2016 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 53-1
- Update to version 53 for FC23 and FC24

* Fri Jan 29 2016 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 50-1
- Update to version 50 for FC23

* Fri Jan 08 2016 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 49-2
- Fix buggy logo.svg from git master

* Thu Nov 05 2015 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 49-1
- Update to version 49 for FC23

* Thu Aug 20 2015 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 47-1
- Update to version 47 for FC22

* Thu Aug 13 2015 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 46-1
- Correct to version 46 for FC22

* Wed May 13 2015 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 0.46-1
- Update to 0.46 for FC22
- Repack source package

* Thu Jan  8 2015 Ian Firns <firnsy@kororproject.org> - 0.35.1-2.git8d2ccc7
- Install gschema

* Sun Nov 16 2014 Ian Firns <firnsy@kororproject.org> - 0.35.1-1.git8d2ccc7
- Update to lastest upstream release

* Sun Nov 16 2014 Ian Firns <firnsy@kororproject.org> - 0.35-1.git656e064
- Initial package for Korora
